---------------------
PatchSet 5233 
Date: 2002/10/05 10:38:14
Author: adri
Branch: commloops
Tag: (none) 
Log:

Fix comment - we're always scheduling a read now, regardless of
the little performance benefit.

Members: 
	src/client_side.c:1.52.4.7->1.52.4.8 

Index: squid/src/client_side.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_side.c,v
retrieving revision 1.52.4.7
retrieving revision 1.52.4.8
diff -u -r1.52.4.7 -r1.52.4.8
--- squid/src/client_side.c	5 Oct 2002 10:34:25 -0000	1.52.4.7
+++ squid/src/client_side.c	5 Oct 2002 10:38:14 -0000	1.52.4.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.52.4.7 2002/10/05 10:34:25 adri Exp $
+ * $Id: client_side.c,v 1.52.4.8 2002/10/05 10:38:14 adri Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -727,17 +727,9 @@
      */
     commSetTimeout(conn->fd, Config.Timeout.persistent_request,
 	requestTimeout, conn);
-    /*
-     * CYGWIN has a problem and is blocking on read() requests when there
-     * is no data present.
-     * This hack may hit performance a little, but it's better than 
-     * blocking!.
-     */
     conn->defer.until = 0;	/* Kick it to read a new request */
     clientReadSomeData(conn); 
-    /*
-     * Note, the FD may be closed at this point.
-     */
+    /* Please don't do anything with the FD past here! */
 }
 
 void
